gnu-efi (3.0.15-1) unstable; urgency=medium

  * New upstream version 3.0.15

 -- Julian Andres Klode <jak@debian.org>  Fri, 27 Jan 2023 21:24:25 +0100

gnu-efi (3.0.13+git20210716.269ef9d-2) unstable; urgency=medium

  * Upload to unstable

 -- Julian Andres Klode <jak@debian.org>  Tue, 14 Sep 2021 08:24:37 +0200

gnu-efi (3.0.13+git20210716.269ef9d-1) experimental; urgency=medium

  * New upstream version 3.0.13+git20210716.269ef9d
  * Add any-riscv64 to Architecture list (Closes: #988231) (LP: #1938324)
  * Add any-ia64 to Architecture list (Closes: #926535)
  * Drop patches; applied upstream

 -- Julian Andres Klode <jak@debian.org>  Thu, 29 Jul 2021 17:55:17 +0200

gnu-efi (3.0.9-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 3.0.3-1.
  * Use secure URI in debian/watch.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Repository.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entry 3.0d-1.

  [ Julian Andres Klode ]
  * Change Maintainer to Debian EFI team
  * Point Vcs to new efi-team location

 -- Julian Andres Klode <jak@debian.org>  Thu, 04 Feb 2021 12:03:03 +0100

gnu-efi (3.0.9-1) unstable; urgency=medium

  * New upstream version 3.0.9
  * Update Vcs URIs to point to Salsa
  * Delete debian/source/options

 -- Julian Andres Klode <jak@debian.org>  Mon, 22 Oct 2018 13:44:47 +0200

gnu-efi (3.0.8-1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * New upstream version 3.0.8

  [ Mathieu Trudel-Lapierre ]
  * debian/patches: drop patches, included upstream
  * Reinstate d/p/ARM-hide-hidden-pragma-for-hosted-build.patch;
    otherwise sbsigntool fails to build on armhf.

 -- Julian Andres Klode <jak@debian.org>  Wed, 10 Oct 2018 22:46:43 +0200

gnu-efi (3.0.6-1~exp1) experimental; urgency=medium

  * New upstream version 3.0.6 (Closes: #880506)
  * Rebase patches against new upstream release
    - Drop ARM-hide-hidden-pragma-for-hosted-build.patch and
      aarch64-Fix-invalid-cast-from-const-to-non-const.patch, no
      longer used
  * Bump Standards-Version to 4.1.1

 -- Julian Andres Klode <jak@debian.org>  Wed, 29 Nov 2017 15:06:06 +0100

gnu-efi (3.0.4-2) unstable; urgency=medium

  * aarch64: Fix invalid cast from const to non-const
  * Do not build with -Werror

 -- Julian Andres Klode <jak@debian.org>  Thu, 30 Jun 2016 13:41:30 +0200

gnu-efi (3.0.4-1) unstable; urgency=medium

  * Merge gcc 4.6 support patch from Ubuntu
  * Imported Upstream version 3.0.4
  * Add patch: "ARM: hide 'hidden' pragma for hosted build" (Closes: #828887)
  * Rebase patches against 3.0.4
  * Update copyright file, new upstream release fixes GPL issue
    (Closes: #808472)
  * debian/control: Update Vcs URIs to https
  * Bump Standards-Version to 3.9.8

 -- Julian Andres Klode <jak@debian.org>  Thu, 30 Jun 2016 11:52:10 +0200

gnu-efi (3.0.3-2) unstable; urgency=medium

  * Do not try to build multilib on non-Linux i386 builds
  * Fix building on armhf: replace @function by %function

 -- Julian Andres Klode <jak@debian.org>  Sun, 29 Nov 2015 12:32:59 +0100

gnu-efi (3.0.3-1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Simplify architecture list: drop ia64 and armel, use wildcards where
    possible
  * Drop Nigel Croxon from Uploaders, he's not involved in packaging
  * Update Vcs-Browser URL to point to cgit instead of gitweb
  * rules: Match architectures by CPU rather than parts of architecture
  * debian/watch: Add
  * Imported Upstream version 3.0.3

  [ Helmut Grohne ]
  * Fix FTCBFS by exporting CROSS_COMPILE (Closes: #805400)

 -- Julian Andres Klode <jak@debian.org>  Tue, 17 Nov 2015 20:59:42 +0100

gnu-efi (3.0.2-1) unstable; urgency=medium

  * Imported Upstream version 3.0.2
  * debian/rules: Simplify by using upstream Makefile for install
  * debian/control: Bump Standards-Version to 3.9.6
  * debian/copyright: Remove spaces from License keyword
  * Add any-arm and any-arm64 to the architecture list
  * inc-efistdarg.h-Use-gcc-builtins-instead-of-stdarg.h.patch: Applied upstream

 -- Julian Andres Klode <jak@debian.org>  Thu, 25 Sep 2014 15:53:43 +0200

gnu-efi (3.0v-5) unstable; urgency=medium

  * inc/efistdarg.h: Use gcc builtins instead of stubs
    - The last upload of gnu-efi caused things to compile, but severely
      broke them.

 -- Julian Andres Klode <jak@debian.org>  Mon, 21 Jul 2014 13:20:23 +0200

gnu-efi (3.0v-4) unstable; urgency=medium

  * Take over maintenance
  * Add git information and git-buildpackage configuration
  * Use gbp pq for maintaining the patch queue
  * inc/efistdarg.h: Stub out va_copy (Closes: #753682)

 -- Julian Andres Klode <jak@debian.org>  Sat, 19 Jul 2014 14:02:06 +0200

gnu-efi (3.0v-3) unstable; urgency=low

  * Stepping down from maintainers, no interest anymore since syslinux uses
    its own copy of gnu-efi that is bundled and sort-of impossible to patch
    out.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 16 Jul 2014 21:49:17 +0200

gnu-efi (3.0v-2) unstable; urgency=low

  * Temporarily build without stdarg.h in efistdarg.h (Closes: #747158).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 06 May 2014 06:15:54 +0200

gnu-efi (3.0v-1) unstable; urgency=low

  * Merging upstream version 3.0v.
  * Updating year in copyright file.
  * Updating make calls in rules for new upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 05 Apr 2014 13:03:14 +0200

gnu-efi (3.0u+debian-4) unstable; urgency=low

  * Updating to standards version 3.9.5.
  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 19:56:19 +0200

gnu-efi (3.0u+debian-3) experimental; urgency=low

  * Updating vcs fields.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 17 Oct 2013 10:06:18 +0200

gnu-efi (3.0u+debian-2) experimental; urgency=low

  [ Daniel Baumann ]
  * Adding vcs fields.

  [ Steve Langasek ]
  * Passing architecture arguments when building the x86_64 code on i386;
    otherwise the upstream build system wrongly assumes that if uname says
    x86_64, it doesn't have to pass -m64 to the compiler.

  [ Daniel Baumann ]
  * Wrapping control fields.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 17 Jul 2013 10:34:32 +0200

gnu-efi (3.0u+debian-1) experimental; urgency=low

  * Merging upstream version 3.0u+debian (Closes: #712639).
  * Dropping no-stack-protector.patch, included upstream.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 18 Jun 2013 10:38:29 +0200

gnu-efi (3.0t+debian-2) experimental; urgency=low

  * Dropping suggests on elilo.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 09 Jun 2013 10:04:12 +0200

gnu-efi (3.0t+debian-1) experimental; urgency=low

  * Merging upstream version 3.0t+debian.
  * Updating year in copyright file.
  * Refreshing no-stack-protector.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 13 Mar 2013 18:22:37 +0100

gnu-efi (3.0s+debian-3) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:46:34 +0100

gnu-efi (3.0s+debian-2) unstable; urgency=low

  * Adding no-stack-protector.patch from Colin Watson
    <cjwatson@ubuntu.com> to make other packages being able to link
    against gnu-efi.
  * Dropping dpkg-source compression levels.
  * Adding dpkg-source local-options.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 20 Feb 2013 16:41:16 +0100

gnu-efi (3.0s+debian-1) unstable; urgency=low

  * Merging upstream version 3.0s+debian.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 Dec 2012 07:19:59 +0100

gnu-efi (3.0r+debian-1) experimental; urgency=low

  * Merging upstream version 3.0r+debian (Closes: #637276, #679627):
    - Rebuilding upstream tarball without debian directory.
  * Removing useless whitespaces at EOL and EOF.
  * Updating package to debhelper version 9.
  * Updating package to standards version 3.9.4.
  * Making build-depends on binutils unversioned, already fulfilled by
    wheezy.
  * Sorting architectures in gcc-multilib build-depends alphabetically.
  * Wrapping build-depends to 80 chars per line.
  * Adding homepage field.
  * Sorting architectures field alphabetically.
  * Removing pre-wheezy conflicts on libc6-i386.
  * Removing French spacing in package long-description.
  * Rewriting copyright file in copyright-format version 1.0.
  * Prefixing debhelper files with package name.
  * Simplifying debhelper docs file by using wildcard.
  * Removing watch file.
  * Reorganizing rules file in minimized debhelper form.
  * Switching to source format 3.0 (quilt).
  * Switching to xz compression.
  * Adding todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 25 Sep 2012 09:07:00 +0200

gnu-efi (3.0i-4) unstable; urgency=low

  * Updating maintainers and uploaders fields:
    - Removing Julien from uploaders, he resigned from the project
      (Closes: #688546).
    - Removing Bdale from uploaders as he wished.
    - Adding myself as maintainer.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 25 Sep 2012 08:14:53 +0200

gnu-efi (3.0i-3) unstable; urgency=low

  * Re-enable optimisation for x64 builds; culprit found & fixed, not related
    to optimization.

  * debian/control:
    + Bump Standards-Version to 3.8.4 (no changes).
    + Add ${misc:Depends}.

 -- Julien BLACHE <jblache@debian.org>  Wed, 05 May 2010 18:18:54 +0200

gnu-efi (3.0i-2) unstable; urgency=low

  * Disable optimization for x64 builds; it looks very much like there is an
    issue between the call wrapper and optimizations, leading to interesting
    and subtle breakages at runtime.

 -- Julien BLACHE <jblache@debian.org>  Wed, 11 Nov 2009 10:16:08 +0100

gnu-efi (3.0i-1) unstable; urgency=low

  * New upstream release.
    + Support for FreeBSD (closes: #535696).

  * debian/control:
    + Make kfreebsd-amd64 a supported architecture.
    + Build-depend on gcc-multilib on kfreebsd-amd64 too.
  * debian/rules:
    + Add support for both kfreebsd-{i386,amd64}.
    + Install FreeBSD x86_64 linker script on kfreebsd-amd64.
    + Do not install ia64-specific headers on i386/amd64, do not install
      i386/amd64-specific headers on ia64.

 -- Julien BLACHE <jblache@debian.org>  Sat, 12 Sep 2009 11:38:57 +0200

gnu-efi (3.0h-1) unstable; urgency=low

  * Clean up and recover from a broken NMU.

  * debian/control:
    + Bump Standards-Version to 3.8.3 (no changes).
    + Added myself as uploader.

  * gnuefi/elf_ia32_efi.lds:
    + Fix linker script for elf-i386 (closes: #545202).

 -- Julien BLACHE <jblache@debian.org>  Fri, 11 Sep 2009 18:26:22 +0200

gnu-efi (3.0h-0.1) unstable; urgency=low

  * NMU
  * New upstream version.
  * Bump to Standards-Version 3.8.2.
  * Add watch file.
  * Conflict with libc6-i386 (<= 2.9-18).  closes: #533003.

 -- Clint Adams <schizo@debian.org>  Sun, 02 Aug 2009 12:06:40 -0400

gnu-efi (3.0e-3) unstable; urgency=low

  * Non-maintainer upload with maintainer's consent.

  * debian/rules:
    + Move files from /emul/ia32-linux to /usr/lib32 (closes: #533003).

  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Wed, 17 Jun 2009 16:41:26 +0200

gnu-efi (3.0e-2) unstable; urgency=low

  * Fixes wrong lib when cross-building, Closes: #482077
  * Fixes x86_64 builds on i386, Closes: #482078
  * Acknowledge NMU, Closes: #473721

 -- Nigel Croxon <nigel.croxon@hp.com>  Wed, 04 Jun 2008 15:11:12 -0600

gnu-efi (3.0e-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix installing below /emul/ia32-linux/usr/lib (not /usr/lib32) on
    AMD64. This closes: bug#473721.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Apr 2008 01:22:35 +0200

gnu-efi (3.0e-1) unstable; urgency=low

  * Fixes x86_64 clobbering registers
  * Added binutils >= 2.17.50.0.14, Closes: #461640
  * fixes installs parts of its build system, Closes: #439092

 -- Nigel Croxon <nigel.croxon@hp.com>  Mon, 31 Mar 2008 09:31:52 -0600

gnu-efi (3.0d-1) unstable; urgency=low

  * new (sponsored) maintainer
  * Add patches to support x86_64 from C.Narayanan (Intel)
    with support on EFI 1.10 and UEFI 2.0 firmware.
  * new upstream version, Closes: #376000
  * fixes x86_64 elilo support, Closes: #438954
  * Added support for amd64, Closes: #383801

 -- Nigel Croxon <nigel.croxon@hp.com>  Tue, 21 Aug 2007 14:12:09 -0600

gnu-efi (3.0c-1) unstable; urgency=low

  * new upstream version, described as a maintenance release for
    compatibility with current gcc and binutils versions

 -- Bdale Garbee <bdale@gag.com>  Fri, 24 Mar 2006 05:02:28 -0700

gnu-efi (3.0b-1) unstable; urgency=low

  * new upstream version, closes: #341124
  * downgrade priority to optional, closes: #280646
  * fix lib/print.c to prevent printing garbage when items were passed on
    software stack, closes: #283842

 -- Bdale Garbee <bdale@gag.com>  Wed,  7 Dec 2005 20:55:46 -0800

gnu-efi (3.0a-4) unstable; urgency=low

  * fix gcc path problem in Makefile exposed by build on i386, closes: #215050
  * merge patches from upstream to address linker problems on i386

 -- Bdale Garbee <bdale@gag.com>  Thu, 23 Oct 2003 19:53:19 -0600

gnu-efi (3.0a-3) unstable; urgency=low

  * add i386 to the list of supported architectures

 -- Bdale Garbee <bdale@gag.com>  Mon,  6 Oct 2003 10:04:13 -0600

gnu-efi (3.0a-2) unstable; urgency=low

  * patch to linker scripts from Matthew Wilcox <willy@debian.org> that
    allows compilation with GCC 3.3

 -- Bdale Garbee <bdale@gag.com>  Wed,  1 Oct 2003 13:52:51 -0600

gnu-efi (3.0a-1) unstable; urgency=low

  * new upstream version.  fixes linker scripts to work with recent compilers,
    so gnu-efi is buildable from source again.

 -- Bdale Garbee <bdale@gag.com>  Tue, 26 Feb 2002 20:50:35 -0700

gnu-efi (3.0-2) unstable; urgency=low

  * change section to devel, since elilo is a separate package now and this
    package only provides libs that EFI applications link

 -- Bdale Garbee <bdale@gag.com>  Thu, 22 Nov 2001 10:28:15 -0700

gnu-efi (3.0-1) unstable; urgency=low

  * new upstream version, no longer includes elilo which is now a separate
    package

 -- Bdale Garbee <bdale@gag.com>  Tue, 10 Jul 2001 13:18:50 -0600

gnu-efi (2.5-1) unstable; urgency=low

  * newer upstream release, repackages to use real upstream source

 -- Bdale Garbee <bdale@gag.com>  Tue,  5 Jun 2001 22:51:58 -0600

gnu-efi (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Randolph Chung <tausq@debian.org>  Mon, 15 Jan 2001 21:05:34 -0800
